Print Page | Close Window

X79 Bios Update to use 4820k Ivy-E?

Printed From: ASRock.com
Category: Technical Support
Forum Name: Intel Motherboards
Forum Description: Question about ASRock Intel Motherboards
URL: http://forum.asrock.com/forum_posts.asp?TID=2171
Printed Date: 25 Feb 2024 at 12:51am
Software Version: Web Wiz Forums 12.04 - http://www.webwizforums.com


Topic: X79 Bios Update to use 4820k Ivy-E?
Posted By: drago
Subject: X79 Bios Update to use 4820k Ivy-E?
Date Posted: 07 Mar 2016 at 2:27pm
I bought a 4820k cpu & new AsRock Extreme4-M mthrbrd quite a while back at MicroCenter; the cpu was used in a different build while the mthrbrd sat in the attic for about a year; I just today broke it out of the box for the 1st time. When I powered up, really nothing happened (Dr.Debug digital readout says 00, no video, no keyboard led's & the chipset fan doesn't turn on nor the hard drive, no signs of life from the usb thumb drive etc). For what it's worth, I assembled the pc hardware correctly.
 
I started this project thinking that if I could get a display I would immediately enter the UEFI/Bios & update it to version 3/3.2/3.3, since those versions are required to run the Ivy-E cpu (the label on the bios chip says version 2.x, 'pre-3' certainly). Do I need to install an i7 3820 1st b4 the Bios can be updated to 3.x in order to use the Ivy? Thanx for the help.



Replies:
Posted By: Xaltar
Date Posted: 07 Mar 2016 at 3:07pm
Unfortunately yes you will need a Sandy CPU to update the BIOS so the Ivy will work. Intel are not as forgiving as AMD when it comes to unsupported CPUs and generational jumps on the same socket/chipset. The board will not power on because it does not know how much voltage to give the unknown CPU so as a safety feature it will prevent power up.

-------------


Posted By: parsec
Date Posted: 07 Mar 2016 at 11:04pm
Ask your MicroCenter if they can service the PC for you, installing a Sandy Bridge-E CPU so the Sandy to Ivy UEFI update can be applied.

However you get that done, be absolutely certain that the 3.00 UEFI/BIOS is applied to the board. Do NOT skip the 3.00 version! The UEFI versions following version 3.00 do NOT contain the update that allows the use of an Ivy Bridge-E CPU. If you are told otherwise, that is wrong!

You must also install the Ivy Bridge compatible INF/Chipset files and Intel IME software in order for everything to work correctly.


-------------
http://valid.x86.fr/48rujh" rel="nofollow">



Print Page | Close Window

Forum Software by Web Wiz Forums® version 12.04 - http://www.webwizforums.com
Copyright ©2001-2021 Web Wiz Ltd. - https://www.webwiz.net